<?php
/* ******************************************************
    Sertifikat TOEFL Kursus
    Created By: ardiansyah@fmipa.unila.ac.id
    Created Date: 29/03/2020
    Last Edit: 03/04/2020
    
    ***************************************************** */
$data = array(
array('Achmad Arifiyanto, S.Si., M.Si.', 'MIPA', 'IELTS'),
array('Anisa Ulya Darajat, S.T., M.T.', 'Teknik', 'IELTS'),
array('Annisa Salsabilla, S.Pd, M.Si', 'KIP', 'IELTS'),
array('Anwika Utami Putri Djuardi, S.T.P., M.Si', 'Pertanian', 'IELTS'),
array('Auliana Afandi, Ph.D. ', 'Pertanian', 'IELTS'),
array('Diki Danar Tri Winanti, S.T.P., M.Si.', 'Pertanian', 'IELTS'),
array('Dodi Faedlulloh, S.Sos.,M.Si', 'ISIP', 'IELTS'),
array('Galuh Catur Wisnu Prabowo', 'KIP', 'IELTS'),
array('Gita Paramita Djausal, S. IP., M. A. B. ', 'ISIP', 'IELTS'),
array('Hadi Prayitno, S.T., M.T.', 'Teknik', 'IELTS'),
array('Inggar Damayanti, S. Hut., M. Si. ', 'Pertanian', 'IELTS'),
array('Ita Prihantika, S.Sos., MA', 'ISIP', 'IELTS'),
array('M. DYAN SUSILA E.S., S.T., M.Eng.', 'Teknik', 'IELTS'),
array('M. Ridho Ulya, S.T., M.Eng.', 'Teknik', 'IELTS'),
array('Mohammad Wendy Trijaya, SH., MHum.', 'Hukum', 'IELTS'),
array('Muhammad Havez', 'Hukum', 'IELTS'),
array('Niken Kusumawardani, S.E.,M.Sc.,Ak.,CA', 'EB', 'IELTS'),
array('Nindytia Puspitasari Dalimunthe, S.E., M.Sc.', 'EB', 'IELTS'),
array('Novriyanti, S.Hut., M.Si', 'Pertanian', 'IELTS'),
array('Purba Sanjaya, S.P., M.Si.', 'Pertanian', 'IELTS'),
array('Purwanto Putra', 'ISIP', 'IELTS'),
array('Puspita Yuliandari, S.T.P., M.Si.', 'Pertanian', 'IELTS'),
array('Rahmat Catur Wibowo, S.T., M.Eng.', 'Teknik', 'IELTS'),
array('Resty Annisa, S.ST., M.Kom', 'Teknik', 'IELTS'),
array('Rizky Drupadi, M.Pd', 'KIP', 'IELTS'),
array('Selvi Diana Meilinda, S.AN., MPA.', 'ISIP', 'IELTS'),
array('Selvi Rahmawati, S.Si., M.Sc.', 'Kedokteran', 'IELTS'),
array('Simon Sumanjoyo Hutagalung', 'ISIP', 'IELTS'),
array('SITI ANUGRAH MULYA PUTRI OFRIAL, S.T.,M.T.', 'Teknik', 'IELTS'),
array('Titin Yulianti, S.T., M.Eng.', 'Teknik', 'IELTS'),
array('Trisya Septiana, S.T., M.T', 'Teknik', 'IELTS'),
array('Wisnu Juli Wiono, S.Pd., M.Pd.', 'KIP', 'IELTS'),
array('Wulan Suciska, S.I.Kom., M.Si', 'ISIP', 'IELTS'),
array('Ismu Sukamto', 'FKIP', 'IELTS'),
array('ASTRIANA RAHMI SETIAWATI', 'Pertanian', 'IELTS'),
array('Budi Kurniawan, SIP, MPP', 'ISIP', 'IELTS'),
array('Dewi Asiah Shofiana, M.Kom.', 'MIPA', 'IELTS'),
array('Lilis Sholihah, S.Pd., M.Pd', 'KIP', 'IELTS'),
array('Muslimin, S.E., M.Sc', 'EB', 'IELTS'),
array('Nani Kusrini, S.S., M.Pd.', 'KIP', 'IELTS'),
array('Widyastuti, S.Pd., M.Pd.', 'KIP', 'IELTS'),
array('Yenni Agustina, S.E., M.Sc., Akt., CA', 'EB', 'IELTS'),
array('Yunia Amelia', 'EB', 'IELTS'),
array('Zulfa Emalia', 'EB', 'IELTS'),
array('Reni Oktavia', '', 'IELTS'),
array('Aisyah Muda Cemerlang, S.H., M.H.', 'Hukum', 'TOEFL'),
array('Aminudin Syah, S.T., M.Eng.', 'Teknik', 'TOEFL'),
array('Andri Marta, S.I.P, M.I.P', 'ISIP', 'TOEFL'),
array('Annisa Yulistia, M.Pd.', 'KIP', 'TOEFL'),
array('Aryanto, S.T., M.T.', 'Teknik', 'TOEFL'),
array('Dedy Prasetyo, S.P., M.Si', 'Pertanian', 'TOEFL'),
array('Dewi Septiana,S.H.,M.H.', 'Hukum', 'TOEFL'),
array('Donni Kis Apriyanto, S.Si., M.Sc.', 'MIPA', 'TOEFL'),
array('dr. Anggi Setiorini, M.Sc', 'Kedokteran', 'TOEFL'),
array('Emi Maimunah, S.E., M.Si.', 'EB', 'TOEFL'),
array('Emilia Susanti,SH.,MH', 'Hukum', 'TOEFL'),
array('Harsa Wahyu Ramadhan', 'Hukum', 'TOEFL'),
array('Himawan Indrajat, S.IP., M.Si', 'ISIP', 'TOEFL'),
array('Humairoh Ratu Ayu, M.Si.', 'MIPA', 'TOEFL'),
array('Ifaty Fadliliana Sari, S.Pd., M.A.', 'ISIP', 'TOEFL'),
array('Junaidi, M.Sos.', 'ISIP', 'TOEFL'),
array('MUHAMMAD DIMA IQBAL HAMDANI, S.Pt. MP', 'Pertanian', 'TOEFL'),
array('Muhammad Farid, S.H., M.H.', 'Hukum', 'TOEFL'),
array('Muhammad Iqbal, S. Farm., M.Sc., Apt', 'Kedokteran', 'TOEFL'),
array('Nenny Dwi Ariani, S.H.,M.H.', 'Hukum', 'TOEFL'),
array('Neny Desriani, S.E., M. Sc., Ak', 'EB', 'TOEFL'),
array('Nurbetty Herlina Sitorus', 'EB', 'TOEFL'),
array('Rahmah Dianti Putri, S. E., M. Pd.', 'KIP', 'TOEFL'),
array('Riki Chandra Wijaya,S.Pd.,M.T', 'Teknik', 'TOEFL'),
array('Roby Rakhmadi, M. Si', 'ISIP', 'TOEFL'),
array('Sandri Erfani, S.Si., M.Eng.', 'Teknik', 'TOEFL'),
array('Septi Nurul Aini, S.P.,M.Si', 'Pertanian', 'TOEFL'),
array('Sofyan Musyabiq Wijaya, S.Gz., M.Gizi', 'Kedokteran', 'TOEFL'),
array('Vina Karmilasari, S.Pd.,M.Si', 'ISIP', 'TOEFL'),
array('Vito Frasetya, S.Sos., M.Si.', 'ISIP', 'TOEFL'),
array('Widya Krulinasari, S.H., M.H.', 'Hukum', 'TOEFL'),
array('Winih Sekaringtyas Ramadhani S.P., M.P.', 'Pertanian', 'TOEFL'),
array('Zulmiftah Huda, S.T., M.Eng.', 'Teknik', 'TOEFL'),
array('dr.Ratna Dewi Puspita Sari, SpOG', 'Kedokteran', 'TOEFL'),
array('Eka Yuda Gunawibawa', 'ISIP', 'TOEFL'),
array('Leni Rumiyanti ', 'MIPA', 'TOEFL'),
array('Afri Yudamson, S.T., M.Eng.', 'Teknik', 'TOEFL'),
array('Ahmad Yonanda, S.T., M.T.', 'Teknik', 'TOEFL'),
array('Akhmad Riszal, S.Pd.,M.Eng', 'Teknik', 'TOEFL'),
array('Bendi Juantara., S.I.P.,M.A', 'ISIP', 'TOEFL'),
array('Deni Achmad, S.H., M.H.', 'Hukum', 'TOEFL'),
array('Devi Nur Anisa, M.Sc.', 'MIPA', 'TOEFL'),
array('Diana Rosita, S.Pd., M.Pd.', 'KIP', 'TOEFL'),
array('Dina Eka Nurvazly, S.Pd., M.Si.', 'MIPA', 'TOEFL'),
array('dr. Rani Himayani, Sp.M', 'Kedokteran', 'TOEFL'),
array('dr. Rasmi Zakiah Oktarlina, M.Farm', 'Kedokteran', 'TOEFL'),
array('Dzul Fithria Mumtazah, S.Pd., M.Sc.', 'MIPA', 'TOEFL'),
array('Hani Damayanti Aprilia, M.Si.', 'ISIP', 'TOEFL'),
array('Hapin Afriyani', 'MIPA', 'TOEFL'),
array('Hasyimkan, S.Sn.MA', 'KIP', 'TOEFL'),
array('ika wulandari utamining tias, M.Pd', 'KIP', 'TOEFL'),
array('Imam Awaluddin, S.E., M.E.', 'EB', 'TOEFL'),
array('Lili Chrisnawati, S.Pd., M.Si.', 'MIPA', 'TOEFL'),
array('Lilih Muflihah, S.I.P., M.I.P.', 'ISIP', 'TOEFL'),
array('Liska Mutiara Septiana, S.P., M.Si', 'Pertanian', 'TOEFL'),
array('Margaretha Karolina Sagala, S.T., M.Pd.', 'KIP', 'TOEFL'),
array('Myristica Imanita,S.Pd.,M.Pd', 'KIP', 'TOEFL'),
array('Nadya Meriza, M.Pd', 'KIP', 'TOEFL'),
array('Pandri Ferdias, S.Si., M.Sc.', 'MIPA', 'TOEFL'),
array('Prasetya Nugeraha, S.A.B., M.Si', 'ISIP', 'TOEFL'),
array('Puji Lestari, S.P., M.Si.', 'Pertanian', 'TOEFL'),
array('Ramadhan Triyandi.,M.Si.,Apt', 'Kedokteran', 'TOEFL'),
array('Selvi Helina, S.P., M.Sc.', 'Pertanian', 'TOEFL'),
array('Siti Laelatul Chasanah, S.Pd., M.Si.', 'MIPA', 'TOEFL'),
array('Sutarto', 'Kedokteran', 'TOEFL'),
array('Yohana Tri Utami, M. Kom. ', 'MIPA', 'TOEFL'),
);

include "header.php";

$number = sprintf('%03d', ($_GET['no']));

$spasi = 6;

$pdf = new PDF('P', 'mm', 'A4');

$pdf->setBgSertifikat('../images/sertifikat-toefl-kursus.jpg', 0);

$pdf->SetLeftMargin(30);
$pdf->SetTopMargin(70);
$pdf->AddFont('MonotypeCorsiva', '', 'MonotypeCorsiva.php');
$pdf->AddFont('ComicSans', '', 'COMIC.php');
$pdf->AddFont('Script', '', 'SCRIPTBL.php');

$pdf->AddPage();

$pdf->SetFont('MonotypeCorsiva', 'U', 24);
$pdf->Cell(150, 8, 'SERTIFIKAT', 0, 1, 'C');

$pdf->SetFont('', '', 12);
$pdf->Cell(150, $spasi, 'Nomor: '.$number.'/UN26.33/TU.00.08/2021', 0, 1, 'C');

$pdf->Ln();
$pdf->SetFont('ComicSans', '', 12);
$pdf->Cell(150, $spasi, 'diberikan kepada', 0, 1, 'C');

$pdf->Ln();
$pdf->SetFont('MonotypeCorsiva', '', 22);
$pdf->Cell(150, $spasi+2, $data[($_GET['no']-1)][0], 0, 1, 'C');

$pdf->Ln();
$pdf->SetFont('ComicSans', '', 12);
$pdf->Cell(150, $spasi, 'sebagai', 0, 1, 'C');

$pdf->Ln();
$pdf->SetFont('ComicSans', '', 18);
$pdf->Cell(150, $spasi+2, "Peserta", 0, 1, 'C');

$pdf->Ln();
$pdf->SetFont('ComicSans', '', 12);
$pdf->MultiCell(150, $spasi, 'pada Pelatihan Communication Skill Bahasa Inggris', 0, 'C');
$pdf->Ln();

//$kategori = strpos($data[($_GET['no']-1)][2], "IELTS");
if(strpos($data[($_GET['no']-1)][2], "TOEFL") !== false) {
    $pdf->SetFont('ComicSans', '', 16);
    $kategori = '"Test of English as a Foreign Language" (TOEFL)';
} else {
//if(strpos($data[($_GET['no']-1)][2], "IELTS")) {
    $pdf->SetFont('ComicSans', '', 15);
    $kategori = '"International English Language Testing System" (IELTS)';
} 

$pdf->MultiCell(150, $spasi, $kategori, 0, 'C');
$pdf->Ln();
$pdf->SetFont('ComicSans', '', 12);
$pdf->MultiCell(150, $spasi, 'yang diselenggarakan oleh', 0, 'C');
$pdf->MultiCell(150, $spasi, 'UPT Bahasa Universitas Lampung', 0, 'C');
$pdf->MultiCell(150, $spasi, 'pada tanggal 8 Februari - 2 Maret 2021', 0, 'C');
$pdf->MultiCell(150, $spasi, 'dengan durasi 32 (tiga puluh dua) jam.', 0, 'C');



$pdf->Ln(12);
$pdf->SetX(110);
$qrY = $pdf->GetY();
$pdf->SetFont('ComicSans', '', 11);
$pdf->Write($spasi, 'Bandar Lampung, 2 Maret 2021');


$pdf->Ln();
$pdf->SetX(110);
$pdf->SetFont('ComicSans', '', 11);
$pdf->Write($spasi, 'Kepala UPT Bahasa,');

$pdf->Ln();
$pdf->Image('../images/ttd-pak-kirlan.png', 110, $pdf->GetY(), 50);


$pdf->Ln(13);
$pdf->SetX(110);
$pdf->Write($spasi, "Dr. Muhammad Sukirlan, MA");

$pdf->Ln();
$pdf->SetX(110);
$pdf->Write($spasi, 'NIP. 196412121990031003');

$pdf->SetAlpha(0.75);
$pdf->Image('../images/cap-upt-bahasa.png', 80, $pdf->GetY()-34, 45);
$pdf->SetAlpha(1);



$pdf->Image('../images/paraf-kasubag.png', 162, $pdf->GetY(), 2.5);

$pdf->Output('D', 'eSertifikatTOEFL-'.$ID.".pdf");

?>